// Date and time functions using a DS1307 RTC connected via I2C and Wire lib
//https://www.justavapor.com/archives/2482
#include <Wire.h>
#include "RTClib.h"

RTC_DS1307 RTC;

float UTCOffset = -6.0;    // Mountais Time



void setup () {
    Serial.begin(115200);
        
    
    // Uncomment the following lines to use pins 4 & 5 as power and ground for the RTC
    
        
    Wire.begin();
    RTC.begin();
    
    RTC.adjust(DateTime(__DATE__, __TIME__));  // sets the clock to the time when this sketch is compiled
    delay(1000);
    DateTime now = RTC.now();
    DateTime UTCTime(now.unixtime() - 3600 * UTCOffset);   // Adjust the time from local to UTC
    RTC.adjust(UTCTime);
    
}

void loop () {
    DateTime now = RTC.now();
    
    Serial.print(now.year(), DEC);
    Serial.print('/');
    Serial.print(now.month(), DEC);
    Serial.print('/');
    Serial.print(now.day(), DEC);
    Serial.print(' ');
    Serial.print(now.hour(), DEC);
    Serial.print(':');
    Serial.print(now.minute(), DEC);
    Serial.print(':');
    Serial.print(now.second(), DEC);
    Serial.println();
    delay(3000);
    
}
